package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.entity.PublishSetting;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class ResourceMicroappPublishDataModel {
    private Long id;

    //服务标签

    private String dataTag;
    //资源图片
    private  Long publishInfoId;
    private String resourceImg;
    //共享条件
    private String shareCondition;
    //开放条件
    private String openCondition;
    //共享类型
    private String shareType;
    //开发类型
    private String openType;
    //审核意见
    private String auditOpinion;
    //发布状态
    private String publishState;
    //审核状态
    private int aduitState;
    public String getAuditResult() {
        return auditResult;
    }
    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }
    //审核结果
    private String auditResult;
    private Long auditedBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date  auditedAt;
    private Long createdBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date  createdAt;
    private List<PublishSetting> settingList;

    private Long deleteById;    //删除人的id
//=============================================
    private String gatewayRouteId;
    private String serviceId;
    private String path;
    private String appName;//标签
    private Boolean stripPrefix;//忽略前缀
    private Boolean retryable;//失败重试
    private Boolean enabled;//启用
    private Integer refreshInterval;//时间窗口
    private Integer policyLimit;//请求数限制
    private Long policyQuota;//请求时间
    private String authType;//读取权限
    private String authValue;//写入权限
    private String lesseeId;//租户


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }

    public String getShareCondition() {
        return shareCondition;
    }

    public void setShareCondition(String shareCondition) {
        this.shareCondition = shareCondition;
    }

    public String getOpenCondition() {
        return openCondition;
    }

    public void setOpenCondition(String openCondition) {
        this.openCondition = openCondition;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public int getAduitState() {
        return aduitState;
    }

    public void setAduitState(int aduitState) {
        this.aduitState = aduitState;
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public List<PublishSetting> getSettingList() {
        return settingList;
    }

    public void setSettingList(List<PublishSetting> settingList) {
        this.settingList = settingList;
    }

    public Long getDeleteById() {
        return deleteById;
    }

    public void setDeleteById(Long deleteById) {
        this.deleteById = deleteById;
    }

    public String getGatewayRouteId() {
        return gatewayRouteId;
    }

    public void setGatewayRouteId(String gatewayRouteId) {
        this.gatewayRouteId = gatewayRouteId;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Boolean getStripPrefix() {
        return stripPrefix;
    }

    public void setStripPrefix(Boolean stripPrefix) {
        this.stripPrefix = stripPrefix;
    }

    public Boolean getRetryable() {
        return retryable;
    }

    public void setRetryable(Boolean retryable) {
        this.retryable = retryable;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }


    public void setRefreshInterval(Integer refreshInterval) {
        this.refreshInterval = refreshInterval;
    }

    public void setPolicyLimit(Integer policyLimit) {
        this.policyLimit = policyLimit;
    }

    public Long getPolicyQuota() {
        return policyQuota;
    }

    public void setPolicyQuota(Long policyQuota) {
        this.policyQuota = policyQuota;
    }

    public String getAuthType() {
        return authType;
    }

    public void setAuthType(String authType) {
        this.authType = authType;
    }

    public String getAuthValue() {
        return authValue;
    }

    public void setAuthValue(String authValue) {
        this.authValue = authValue;
    }

    public String getLesseeId() {
        return lesseeId;
    }

    public void setLesseeId(String lesseeId) {
        this.lesseeId = lesseeId;
    }

    public Integer getRefreshInterval() {

        return refreshInterval;
    }

    public Integer getPolicyLimit() {
        return policyLimit;
    }
}
